<?php
include '../conexion.php';


//header('Content-Type: application/json'); // Para asegurarte de que devuelves un JSON
//$response = array();



    // Verificar que la solicitud sea POST
    if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
        throw new Exception('Método no permitido.');
    }

    // Recibir los datos enviados
    $x = isset($_POST['x']) ? trim($_POST['x']) : null;
    $id = isset($_POST['id']) ? trim($_POST['id']) : null;
    $usuario = isset($_POST['nombre']) ? trim($_POST['nombre']) : null;
    $nombre = isset($_POST['usuario']) ? trim($_POST['usuario']) : null;
    $correo = isset($_POST['correo']) ? trim($_POST['correo']) : null;
    $pass = isset($_POST['pass']) ? trim($_POST['pass']) : null;
    $ubicacion = isset($_POST['sucursal']) ? floatval($_POST['sucursal']) : null;
    $tipo = isset($_POST['rol']) ? floatval($_POST['rol']) : null;
    $estatus = isset($_POST['estatus']) ? floatval($_POST['estatus']) : null;
    
    
    
    
    
    if ($connection->connect_error) {
        throw new Exception('Error al conectar a la base de datos: ' . $connection->connect_error);
    }

    if($x=='1'){ ////nuevo

    }else if($x=='2'){ /// actualizacion

            // Iniciar una transacción
        $connection->begin_transaction();

        try {
            
            // Insertar los datos principales de la factura
            $stmt = $connection->prepare("update uni_user set Nombre=?,pass=?,usuario=?,correo=?,tipo=?,ubicacion=?,estado=? where idUser=?");
            $stmt->bind_param("ssssssss", $usuario,$pass,$nombre,$correo,$tipo,$ubicacion,$estatus,$id);

            // Cierra la declaración


             $stmt->execute();
             $stmt->close();
            // Confirmar la transacción
            $connection->commit();
            $response['success'] = true;
            $response['message'] = "Actualización realizada";
            //$response['message'] = $response['message'] = "UPDATE uni_user SET Nombre = '".$usuario."', pass = '".$pass."', usuario = '".$nombre."', correo = '".$correo."', tipo = '".$tipo."', ubicacion = '".$ubicacion."', estado = '".$estatus."' WHERE idUser = '".$id."'";

            //$response['message'] = 'Factura guardada exitosamente.';
        } catch (Exception $e) {
            // Revertir la transacción en caso de error
            $connection->rollback();
            throw $e;
        } finally {
            $connection->close();
        }


    }

    

// Devolver la respuesta como JSON
http_response_code($response['success'] ? 200 : 400);
echo json_encode($response);
?>